searchNodes=[{"doc":"Elixir authority lookup behavior","ref":"Authoritex.html","title":"Authoritex","type":"behaviour"},{"doc":"Lists the available authories, returning a list of {implementation_module, authority_code, authority_description}Example: iex&gt; Authoritex.authorities() [ {Authoritex.FAST.CorporateName, &quot;fast-corporate-name&quot;, &quot;Faceted Application of Subject Terminology -- Corporate Name&quot;}, {Authoritex.FAST.EventName, &quot;fast-event-name&quot;, &quot;Faceted Application of Subject Terminology -- Event Name&quot;}, {Authoritex.FAST.Form, &quot;fast-form&quot;, &quot;Faceted Application of Subject Terminology -- Form/Genre&quot;}, {Authoritex.FAST.Geographic, &quot;fast-geographic&quot;, &quot;Faceted Application of Subject Terminology -- Geographic&quot;}, {Authoritex.FAST.Personal, &quot;fast-personal&quot;, &quot;Faceted Application of Subject Terminology -- Personal&quot;}, {Authoritex.FAST.Topical, &quot;fast-topical&quot;, &quot;Faceted Application of Subject Terminology -- Topical&quot;}, {Authoritex.FAST.UniformTitle, &quot;fast-uniform-title&quot;, &quot;Faceted Application of Subject Terminology -- Uniform Title&quot;}, {Authoritex.FAST, &quot;fast&quot;, &quot;Faceted Application of Subject Terminology&quot;}, {Authoritex.GeoNames, &quot;geonames&quot;, &quot;GeoNames geographical database&quot;}, {Authoritex.Getty.AAT, &quot;aat&quot;, &quot;Getty Art &amp; Architecture Thesaurus (AAT)&quot;}, {Authoritex.Getty.TGN, &quot;tgn&quot;, &quot;Getty Thesaurus of Geographic Names (TGN)&quot;}, {Authoritex.Getty.ULAN, &quot;ulan&quot;, &quot;Getty Union List of Artist Names (ULAN)&quot;}, {Authoritex.Getty, &quot;getty&quot;, &quot;Getty Vocabularies&quot;}, {Authoritex.LOC.Languages, &quot;lclang&quot;, &quot;Library of Congress MARC List for Languages&quot;}, {Authoritex.LOC.Names, &quot;lcnaf&quot;, &quot;Library of Congress Name Authority File&quot;}, {Authoritex.LOC.SubjectHeadings, &quot;lcsh&quot;, &quot;Library of Congress Subject Headings&quot;}, {Authoritex.LOC, &quot;loc&quot;, &quot;Library of Congress Linked Data&quot;} ]","ref":"Authoritex.html#authorities/0","title":"Authoritex.authorities/0","type":"function"},{"doc":"","ref":"Authoritex.html#authority_for/1","title":"Authoritex.authority_for/1","type":"function"},{"doc":"Returns true if the module can resolve the given identifier","ref":"Authoritex.html#c:can_resolve?/1","title":"Authoritex.can_resolve?/1","type":"callback"},{"doc":"Returns the unique short code for the authority","ref":"Authoritex.html#c:code/0","title":"Authoritex.code/0","type":"callback"},{"doc":"Returns a human-readable description of the authority","ref":"Authoritex.html#c:description/0","title":"Authoritex.description/0","type":"callback"},{"doc":"Returns a label given an id.Examples: iex&gt; Authoritex.fetch(&quot;http://id.loc.gov/authorities/names/no2011087251&quot;) {:ok, &quot;Valim, Jose&quot;} iex&gt; Authoritex.fetch(&quot;http://id.loc.gov/authorities/names/unknown-id&quot;) {:error, 404} iex&gt; Authoritex.fetch(&quot;http://fake.authority.org/not-a-real-thing&quot;) {:error, :unknown_authority}","ref":"Authoritex.html#fetch/1","title":"Authoritex.fetch/1","type":"function"},{"doc":"Fetches a label (and optional hint string) for a specified resource","ref":"Authoritex.html#c:fetch/1","title":"Authoritex.fetch/1","type":"callback"},{"doc":"Returns search results for a given query.Examples: iex&gt; Authoritex.search(&quot;lcnaf&quot;, &quot;valim&quot;) {:ok, [ %{id: &quot;info:lc/authorities/names/n2013200729&quot;, label: &quot;Valim, Alexandre Busko&quot;}, %{id: &quot;info:lc/authorities/names/nb2006000541&quot;, label: &quot;Levitin, Valim&quot;}, %{id: &quot;info:lc/authorities/names/n88230271&quot;, label: &quot;Valim, Anthony Terra, 1919-&quot;}, %{id: &quot;info:lc/authorities/names/no2019037344&quot;, label: &quot;Melo, Glenda Cristina Valim de&quot;}, %{id: &quot;info:lc/authorities/names/no2012078919&quot;, label: &quot;Mansan, Jaime Valim&quot;}, %{id: &quot;info:lc/authorities/names/no2001072420&quot;, label: &quot;Lucisano-Valim, Yara Maria&quot;}, %{id: &quot;info:lc/authorities/names/no2011087251&quot;, label: &quot;Valim, Jose&quot;}, %{id: &quot;info:lc/authorities/names/no2019110111&quot;, label: &quot;Valim, Patrícia&quot;}, %{id: &quot;info:lc/authorities/names/n2014206721&quot;, label: &quot;Valim, Rafael&quot;}, %{id: &quot;info:lc/authorities/names/no2009021335&quot;, label: &quot;Melo, Cimara&quot;} ]} iex&gt; Authoritex.search(&quot;lcnaf&quot;, &quot;blergh&quot;) {:ok, []} iex&gt; Authoritex.search(&quot;blergh&quot;, &quot;valim&quot;) {:error, &quot;Unknown authority: blergh&quot;}","ref":"Authoritex.html#search/2","title":"Authoritex.search/2","type":"function"},{"doc":"Returns a list of search results (and optional hints) matching a query","ref":"Authoritex.html#c:search/2","title":"Authoritex.search/2","type":"callback"},{"doc":"Like Authoritex.search/2 but with a specific maximum number of results","ref":"Authoritex.html#search/3","title":"Authoritex.search/3","type":"function"},{"doc":"","ref":"Authoritex.html#t:authority/0","title":"Authoritex.authority/0","type":"type"},{"doc":"","ref":"Authoritex.html#t:fetch_result/0","title":"Authoritex.fetch_result/0","type":"type"},{"doc":"","ref":"Authoritex.html#t:search_result/0","title":"Authoritex.search_result/0","type":"type"},{"doc":"Authoritex implementation for Faceted Application of Subject Terminology","ref":"Authoritex.FAST.html","title":"Authoritex.FAST","type":"module"},{"doc":"Abstract Authoritex implementation for FAST authorities &amp; vocabularies","ref":"Authoritex.FAST.Base.html","title":"Authoritex.FAST.Base","type":"module"},{"doc":"Authoritex implementation for Faceted Application of Subject Terminology -- Corporate Name","ref":"Authoritex.FAST.CorporateName.html","title":"Authoritex.FAST.CorporateName","type":"module"},{"doc":"Authoritex implementation for Faceted Application of Subject Terminology -- Event Name","ref":"Authoritex.FAST.EventName.html","title":"Authoritex.FAST.EventName","type":"module"},{"doc":"Authoritex implementation for Faceted Application of Subject Terminology -- Form/Genre","ref":"Authoritex.FAST.Form.html","title":"Authoritex.FAST.Form","type":"module"},{"doc":"Authoritex implementation for Faceted Application of Subject Terminology -- Geographic","ref":"Authoritex.FAST.Geographic.html","title":"Authoritex.FAST.Geographic","type":"module"},{"doc":"Authoritex implementation for Faceted Application of Subject Terminology -- Personal","ref":"Authoritex.FAST.Personal.html","title":"Authoritex.FAST.Personal","type":"module"},{"doc":"Authoritex implementation for Faceted Application of Subject Terminology -- Topical","ref":"Authoritex.FAST.Topical.html","title":"Authoritex.FAST.Topical","type":"module"},{"doc":"Authoritex implementation for Faceted Application of Subject Terminology -- Uniform Title","ref":"Authoritex.FAST.UniformTitle.html","title":"Authoritex.FAST.UniformTitle","type":"module"},{"doc":"Authoritex implementation for GeoNames webservice","ref":"Authoritex.GeoNames.html","title":"Authoritex.GeoNames","type":"module"},{"doc":"Authoritex implementation for the Getty Vocabularies","ref":"Authoritex.Getty.html","title":"Authoritex.Getty","type":"module"},{"doc":"","ref":"Authoritex.Getty.html#process_result/1","title":"Authoritex.Getty.process_result/1","type":"function"},{"doc":"","ref":"Authoritex.Getty.html#sparql_fetch/1","title":"Authoritex.Getty.sparql_fetch/1","type":"function"},{"doc":"Authoritex implementation for the Getty Art &amp; Architecture Thesaurus (AAT)","ref":"Authoritex.Getty.AAT.html","title":"Authoritex.Getty.AAT","type":"module"},{"doc":"","ref":"Authoritex.Getty.AAT.html#process_result/1","title":"Authoritex.Getty.AAT.process_result/1","type":"function"},{"doc":"","ref":"Authoritex.Getty.AAT.html#sparql_fetch/1","title":"Authoritex.Getty.AAT.sparql_fetch/1","type":"function"},{"doc":"Abstract Authoritex implementation for Getty authorities &amp; vocabularies","ref":"Authoritex.Getty.Base.html","title":"Authoritex.Getty.Base","type":"module"},{"doc":"Authoritex implementation for the Getty Thesaurus of Geographic Names (TGN)","ref":"Authoritex.Getty.TGN.html","title":"Authoritex.Getty.TGN","type":"module"},{"doc":"","ref":"Authoritex.Getty.TGN.html#process_result/1","title":"Authoritex.Getty.TGN.process_result/1","type":"function"},{"doc":"","ref":"Authoritex.Getty.TGN.html#sparql_fetch/1","title":"Authoritex.Getty.TGN.sparql_fetch/1","type":"function"},{"doc":"Authoritex implementation for the Getty Union List of Artist Names (ULAN)","ref":"Authoritex.Getty.ULAN.html","title":"Authoritex.Getty.ULAN","type":"module"},{"doc":"","ref":"Authoritex.Getty.ULAN.html#process_result/1","title":"Authoritex.Getty.ULAN.process_result/1","type":"function"},{"doc":"","ref":"Authoritex.Getty.ULAN.html#sparql_fetch/1","title":"Authoritex.Getty.ULAN.sparql_fetch/1","type":"function"},{"doc":"Authoritex implementation for Library of Congress Linked Data","ref":"Authoritex.LOC.html","title":"Authoritex.LOC","type":"module"},{"doc":"Abstract Authoritex implementation for Library of Congress authorities &amp; vocabularies","ref":"Authoritex.LOC.Base.html","title":"Authoritex.LOC.Base","type":"module"},{"doc":"Authoritex implementation for Library of Congress MARC List for Languages","ref":"Authoritex.LOC.Languages.html","title":"Authoritex.LOC.Languages","type":"module"},{"doc":"Authoritex implementation for Library of Congress Name Authority File","ref":"Authoritex.LOC.Names.html","title":"Authoritex.LOC.Names","type":"module"},{"doc":"Authoritex implementation for Library of Congress Subject Headings","ref":"Authoritex.LOC.SubjectHeadings.html","title":"Authoritex.LOC.SubjectHeadings","type":"module"},{"doc":"Mock Authority for testing Authoritex consumersExamples: # In test.exs: # config :authoritex, authorities: [Authoritex.Mock] # In test_helper.exs: # Authoritex.Mock.init() # In test case: iex&gt; Authoritex.Mock.set_data([ %{id: &quot;mock:result1&quot;, label: &quot;First Result&quot;, qualified_label: &quot;First Result (1)&quot;, hint: &quot;(1)&quot;}, %{id: &quot;mock:result2&quot;, label: &quot;Second Result&quot;, qualified_label: &quot;Second Result (2)&quot;, hint: &quot;(2)&quot;}, %{id: &quot;mock:result3&quot;, label: &quot;Third Result&quot;, qualified_label: &quot;Third Result (3)&quot;, hint: &quot;(3)&quot;}]) :ok iex&gt; Authoritex.fetch(&quot;mock:result2&quot;) {:ok, %{id: &quot;mock:result2&quot;, label: &quot;Second Result&quot;, qualified_label: &quot;Second Result (2)&quot;, hint: &quot;(2)&quot;}} iex&gt; Authoritex.search(&quot;mock&quot;, &quot;test&quot;) {:ok, [ %{id: &quot;mock:result1&quot;, label: &quot;First Result&quot;, hint: &quot;(1)&quot;}, %{id: &quot;mock:result2&quot;, label: &quot;Second Result&quot;, hint: &quot;(2)&quot;}, %{id: &quot;mock:result3&quot;, label: &quot;Third Result&quot;, hint: &quot;(3)&quot;} ]} iex&gt; Authoritex.search(&quot;mock&quot;, :no_results) {:ok, []} iex&gt; Authoritex.search(&quot;mock&quot;, :error) {:error, 500}","ref":"Authoritex.Mock.html","title":"Authoritex.Mock","type":"module"},{"doc":"","ref":"Authoritex.Mock.html#init/0","title":"Authoritex.Mock.init/0","type":"function"},{"doc":"","ref":"Authoritex.Mock.html#set_data/1","title":"Authoritex.Mock.set_data/1","type":"function"},{"doc":"Shared tests for Authoritex modulesAuthoritex.TestCase ensures that an authority module implements the Authoritex behvaiour and that all of its functions behave as expected. To run the shared tests, use Authoritex.TestCase, opts within your test module, where opts contains:module -- The module you're testingcode -- The code returned by the module's code/0 callbackdescription -- The description returned by the module's description/0 callbacktest_uris -- A list of URIs that should be resolvable by the module, referencing the same resourcebad_uri -- A URI that is in the correct format but does not point to a resourceexpected -- A keyword list containing the attributes of the resource referenced by the test_uris.search_result_term -- A term or search query that will include the resource referenced by the test_uris in its resultssearch_count_term -- A term or search query that will produce at least two pages of resultsdefault_results (optional) -- The default maximum number of results returned by a search (default: 30)specified_results (optional) -- A non-default number of results that can be used for testing search/2 (default: 50) See this package&#39;s test suite for detailed examples.","ref":"Authoritex.TestCase.html","title":"Authoritex.TestCase","type":"module"},{"doc":"Authoritex An Elixir library for searching and fetching controlled vocabulary authority terms, inspired by the Samvera Community's Questioning Authority.","ref":"readme.html","title":"Authoritex","type":"extras"},{"doc":"Add authoritex to your list of dependencies in mix.exs:def deps do [ {:authoritex, &quot;~&gt; 0.1.0&quot;} ] end","ref":"readme.html#installation","title":"Authoritex - Installation","type":"extras"},{"doc":"Activate modules for the authorities you want to have available by configuring them in config/config.exs:# To activate all config :authoritex, authorities: [ Authoritex.FAST.CorporateName, Authoritex.FAST.EventName, Authoritex.FAST.Form, Authoritex.FAST.Geographic, Authoritex.FAST.Personal, Authoritex.FAST.Topical, Authoritex.FAST.UniformTitle, Authoritex.FAST, Authoritex.GeoNames, Authoritex.Getty.AAT, Authoritex.Getty.TGN, Authoritex.Getty.ULAN, Authoritex.Getty, Authoritex.LOC.Languages, Authoritex.LOC.Names, Authoritex.LOC.SubjectHeadings, Authoritex.LOC ] # Authoritex uses httpoison_retry https://github.com/mgwidmann/httpoison_retry # Override the config in your application if needed config :httpoison_retry, max_attempts: 3, wait: 1_000, retry_unknown_errors: false","ref":"readme.html#configuration","title":"Authoritex - Configuration","type":"extras"},{"doc":"See Authoritex.authorities/0, Authoritex.search/2, Authoritex.search/3, and Authoritex.fetch/1.","ref":"readme.html#usage","title":"Authoritex - Usage","type":"extras"},{"doc":"Create a module implementing the Authoritex behaviourCreate a test module using the Authoritex.TestCase moduleAuthoritex uses ExVCR to cache HTTP requests in the test suite. If you're seeing unexpected results during development, run mix vcr.delete CODE_ (where CODE is your authority module's unique short code) to clear that authority's cached results","ref":"readme.html#implementing-additional-authorities","title":"Authoritex - Implementing Additional Authorities","type":"extras"},{"doc":"See Authoritex.Mock","ref":"readme.html#testing-using-mocks","title":"Authoritex - Testing using mocks","type":"extras"},{"doc":"Issues and Pull Requests are always welcome!","ref":"readme.html#contributing","title":"Authoritex - Contributing","type":"extras"}]